> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 지갑 충전

> 청구 충전 세션 생성

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json POST /v1/public/accounts/{account_id}/billing/topup-session
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/topup-session:
    post:
      tags:
        - public-accounts
        - public-billing
      summary: 청구 충전 세션 생성
      description: 고객 지갑 충전 세션을 생성합니다.
      operationId: >-
        create_public_billing_topup_session_v1_public_accounts__account_id__billing_topup_session_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletTopupSessionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletTopupSessionResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WalletTopupSessionRequest:
      description: 지갑 충전 세션 시작을 위한 고객 요청 스키마.
      properties:
        amount:
          anyOf:
            - exclusiveMinimum: 0
              type: number
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
          description: 충전금액
          title: 금액
      required:
        - amount
      title: WalletTopupSessionRequest
      type: object
    WalletTopupSessionResponse:
      properties:
        amount:
          description: 충전금액
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: 금액
          type: string
        hosted_page:
          additionalProperties: true
          description: 호스팅된 결제 페이지 메타데이터
          title: 호스팅 페이지
          type: object
      required:
        - amount
        - hosted_page
      title: WalletTopupSessionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````